/**
 * 用户缓存管理
 */
const TOKEN_KEY = 'token'
/**
 * 保存 token
 * @param {string} token - 登录 token
 */
export const saveToekn = ( token) => {
	try {
		uni.setStorageSync(TOKEN_KEY, token)
		return true
	} catch (e) {
		console.error('保存用户信息失败', e)
		return false
	}
}
// 获取token
export const getToken = () => {
	try {
		const token = uni.getStorageSync(TOKEN_KEY)
		if (token) {
			return token
		}
		return null
	} catch (e) {
		console.error('获取用户信息失败', e)
		return null
	}
}

 /**
  * 清除用户信息（退出登录）
  */
 export const clearUserInfo = () => {
 	try {
 		uni.removeStorageSync(TOKEN_KEY)
 		return true
 	} catch (e) {
 		console.error('清除用户信息失败', e)
 		return false
 	}
 }

/**
 * 检查是否已登录
 * @returns {boolean} 是否已登录
 */
export const isLogin = () => {
	const token = getToken()
	return !!token
}
export default {
	clearUserInfo,
	saveToekn,
	getToken,
	isLogin,
}
